package com.jpsoft.shinestar.modules.base.dao;

import java.util.List;

import com.jpsoft.shinestar.modules.base.entity.CanteenOutsourcerRechargeRecord;
import org.springframework.stereotype.Repository;
import java.util.Map;
import com.jpsoft.shinestar.modules.common.dto.Sort;

@Repository
public interface CanteenOutsourcerRechargeRecordDAO {
	int insert(CanteenOutsourcerRechargeRecord entity);
	int update(CanteenOutsourcerRechargeRecord entity);
	int exist(String id);
	CanteenOutsourcerRechargeRecord get(String id);
	int delete(String id);
	List<CanteenOutsourcerRechargeRecord> list();
	int findCountByPersonId(Long personId);
	List<CanteenOutsourcerRechargeRecord> search(Map<String,Object> searchParams,List<Sort> sortList);
}